import { IFile } from '../types/interface';
export declare class UploadService {
    saveImage(file: Express.Multer.File, folderName?: string): Promise<IFile>;
    saveImages(files: Express.Multer.File[], folderName?: string): Promise<IFile[]>;
    removeImage(fileData: IFile): Promise<void>;
    removeImages(fileDataArray: IFile[]): Promise<void>;
    moveImage(oldData: IFile, movedFolderName: string): Promise<IFile>;
    moveImages(oldDataList: IFile[], movedFolderName: string): Promise<IFile[]>;
    removeOldTempFile(filePath: string): Promise<void>;
    removeOldTempFiles(tempFolderName?: string): Promise<void>;
}
